﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Map.ascx.cs" Inherits="Vehicle_Map" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="ThinkGeo" %>

<asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
        <table border="0" cellpadding="0" cellspacing="0">
    <tr>
        
        <td>
            <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td runat="server" id="tdPanMode">
                        <asp:ImageButton ID="btnPanMode" runat="server" ImageUrl="~/theme/default/samplepic/pointer_1.png"
                            CausesValidation="false" ToolTip="Normal Mode" 
                            onclick="btnPanMode_Click" />
                    </td>
                    <td runat="server" id="tdPointShape">
                        <asp:ImageButton ID="btnDrawPoint" runat="server" ToolTip="Draw Point"
                            CausesValidation="false" ImageUrl="~/theme/default/samplepic/polt-pointer.png" 
                            onclick="btnDrawPoint_Click"/>
                    </td>
                    <td runat="server" id="tdAreaShape">
                        <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnDrawLine" runat="server" ImageUrl="~/theme/default/samplepic/line.png"
                                        CausesValidation="false"  ToolTip="Draw Line" onclick="btnDraw_Click" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnDrawRectangle" runat="server" ImageUrl="~/theme/default/samplepic/rectangle.png"
                                        CausesValidation="false" ToolTip="Draw Rectangle" OnClick="btnDraw_Click" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnDrawSquare" runat="server" ImageUrl="~/theme/default/samplepic/square.png"
                                        CausesValidation="false" ToolTip="Draw Square" OnClick="btnDraw_Click" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnDrawPolygon" runat="server" ImageUrl="~/theme/default/samplepic/icon_draw.png"
                                        CausesValidation="false" ToolTip="Draw Polygon" OnClick="btnDraw_Click" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnDrawCircle" runat="server" ImageUrl="~/theme/default/samplepic/round.png"
                                        CausesValidation="false" ToolTip="Draw Circle" OnClick="btnDraw_Click" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnDrawEllipse" runat="server" ImageUrl="~/theme/default/samplepic/eclips.png"
                                        CausesValidation="false" ToolTip="Draw Ellipse" OnClick="btnDraw_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnCancelDraw" runat="server" ImageUrl="~/theme/default/samplepic/delete-icon.png"
                                        CausesValidation="false" ToolTip="Cancel Shape" OnClick="btnCancelDraw_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnEditShape" runat="server" ImageUrl="~/theme/default/samplepic/edit-icon.png"
                                        CausesValidation="false" ToolTip="Edit Shapes" OnClick="btnEditShape_Click" />
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td style="padding-left:10px;"/>
                    <td runat="server" id="tdZoomInOut">
                       <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnPointer" runat="server" ImageUrl="~/theme/default/samplepic/pointer.png"
                                        CausesValidation="false"  ToolTip="Zoom Area" onclick="btnPointer_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomIn" runat="server" ImageUrl="~/theme/default/samplepic/zoom_in.png"
                                        CausesValidation="false"  ToolTip="Zoom In" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomOut" runat="server" ImageUrl="~/theme/default/samplepic/zoom_out.png"
                                        CausesValidation="false" ToolTip="Zoom Out" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnPlotPointer" runat="server" ImageUrl="~/theme/default/samplepic/measure.png"
                                        CausesValidation="false" ToolTip="Plot Points" 
                                        onclick="btnPlotPointer_Click" />
                                </td>
                            </tr>
                       </table>
                    </td>
                    <td style="padding-left:10px;"/>
                    <td runat="server" id="tdZoomLevel">
                       <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td width="25px" align="center" valign="middle" >
                                    <asp:ImageButton ID="btnZoomLevel1" runat="server" ImageUrl="~/theme/default/samplepic/zoom-1.png"
                                        CausesValidation="false"  ToolTip="Zoom Level 1" OnClick="btnZoomLevel_Click" />
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomLevel2" runat="server" ImageUrl="~/theme/default/samplepic/zoom-2.png"
                                        CausesValidation="false" ToolTip="Zoom Level 2" OnClick="btnZoomLevel_Click"/>
                                </td>
                                 <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomLevel3" runat="server" ImageUrl="~/theme/default/samplepic/zoom-3.png"
                                        CausesValidation="false"  ToolTip="Zoom Level 3" OnClick="btnZoomLevel_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomLevel4" runat="server" ImageUrl="~/theme/default/samplepic/zoom-4.png"
                                        CausesValidation="false" ToolTip="Zoom Level 4" OnClick="btnZoomLevel_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomLevel5" runat="server" ImageUrl="~/theme/default/samplepic/zoom-5.png"
                                        CausesValidation="false" ToolTip="Zoom Level 5" OnClick="btnZoomLevel_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomLevel6" runat="server" ImageUrl="~/theme/default/samplepic/zoom-6.png"
                                        CausesValidation="false" ToolTip="Zoom Level 6" OnClick="btnZoomLevel_Click"/>
                                </td>
                                <td width="25px" align="center" valign="middle">
                                    <asp:ImageButton ID="btnZoomLevel7" runat="server" ImageUrl="~/theme/default/samplepic/zoom-7.png"
                                        CausesValidation="false" ToolTip="Zoom Level 7" OnClick="btnZoomLevel_Click"/>
                                </td>
                            </tr>
                       </table>
                    </td>
                    <td style="padding-left:10px;"/>
                    <td id="tdRefresh" runat="server"  width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                            <td align="right">
                                <table border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                <td><strong>Refresh Rate:</strong>&nbsp;</td>
                                <td><asp:DropDownList ID="ddlRefresh" runat="server" AutoPostBack="true" 
                                        EnableViewState="true" onselectedindexchanged="ddlRefresh_SelectedIndexChanged"
                                >
                                <asp:ListItem Text="5 min" Value="5" />
                                <asp:ListItem Text="3 min" Value="3" />
                                <asp:ListItem Text="1 min" Value="1" />
                                </asp:DropDownList></td>
                                <td width="32" align="center"><img src="<%=ProjectConfiguration.Images%>/gray-border.gif" alt="" /></td>
                                <td width="25"><a href="javascript:location.reload(true)"><img src="<%=ProjectConfiguration.Images%>/refresh-icon.gif" alt="" border="0" /></a></td>
                                <td><strong><a href="javascript:location.reload(true)" class="link">Refresh Now
                                </a></strong></td>
                                <td></td>
                                </tr>
                                </table>
                            </td>
                        </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <ThinkGeo:Map ID="mainMap" runat="server" Width="701" Height="492"  
                OnTrackShapeFinished="Map1_TrackShapeFinished" onclick="mainMap_Click" 
                onextentchanged="mainMap_ExtentChanged" >
            </ThinkGeo:Map>
        </td>
    </tr>
</table>
    </ContentTemplate>
    <Triggers>
        <asp:PostBackTrigger ControlID="ddlRefresh" />
    </Triggers>
</asp:UpdatePanel>

<%--<Description:DescriptionPanel ID="DescPanel" runat="server">
        Click on the below buttons to zoom the different level of map.
        <br />
<br />
        <table border="0" cellpadding="2" cellspacing="1">
            <tr>
                <td>
                    <asp:Button ID="btnZoom1" runat="server" Text="Level 1" Font-Bold="true" Width="49"
                        onclick="btnZoom1_Click" />
                </td>
                <td>
                    <asp:Button ID="btnZoom2" runat="server" Text="Level 2" Font-Bold="true" Width="49" onclick="btnZoom2_Click"/>
                </td>
                <td>
                    <asp:Button ID="btnZoom3" runat="server" Text="Level 3" Font-Bold="true" Width="49" onclick="btnZoom3_Click"/>
                </td>
                <td>
                    <asp:Button ID="btnZoom4" runat="server" Text="Level 4" Font-Bold="true" Width="49" onclick="btnZoom4_Click"/>
                </td>
                <td>
                    <asp:Button ID="btnZoom5" runat="server" Text="Level 5" Font-Bold="true" Width="49" onclick="btnZoom5_Click"/>
                </td>
            </tr>
        </table>
</Description:DescriptionPanel>--%>